summaryrefslogtreecommitdiff
path: root/bin/sanity-check
diff options
context:
space:
mode:
Diffstat (limited to 'bin/sanity-check')
-rwxr-xr-xbin/sanity-check18
1 files changed, 18 insertions, 0 deletions
diff --git a/bin/sanity-check b/bin/sanity-check
index dff043c..4b3cc36 100755
--- a/bin/sanity-check
+++ b/bin/sanity-check
@@ -93,6 +93,24 @@ while [ $# -gt 0 ]; do
exit 1
fi
+ errors="$(
+ (
+ grep -vxF 'break_loops' "${work_dir}/build-list" | \
+ awk '{print $1}'
+ cat "${work_dir}/deletion-list"
+ ) | \
+ sort | \
+ uniq -d
+ )"
+ if [ -n "${errors}" ]; then
+ if [ ${silence} -le 1 ]; then
+ echo
+ echo "The following packages appear on the build- and deletion-list:"
+ echo "${errors}"
+ fi
+ exit 1
+ fi
+
[ ${silence} -gt 0 ] || \
>&2 echo ' passed.'